Loading...
Searching...
No Matches
restinio::io_context_holder_t Class Reference

Helper class for holding shared pointer to io_context. More...

`#include <http_server.hpp>`

## Public Member Functions

| io_context_holder_t (io_context_shared_ptr_t context)
io_context_shared_ptr_t | giveaway_context ()

## Private Attributes

io_context_shared_ptr_t | m_context

## Detailed Description

Helper class for holding shared pointer to io_context.

It intended to be used as argument to http_server_t's constructor.

Definition at line 35 of file http_server.hpp.

## Constructor & Destructor Documentation

## io_context_holder_t()

restinio::io_context_holder_t::io_context_holder_t | ( | io_context_shared_ptr_t | context | ) |

inline

Definition at line 39 of file http_server.hpp.

## Member Function Documentation

## giveaway_context()

io_context_shared_ptr_t restinio::io_context_holder_t::giveaway_context | ( |  | ) |

inline

Definition at line 44 of file http_server.hpp.

## Member Data Documentation

## m_context

io_context_shared_ptr_t restinio::io_context_holder_t::m_context

private

Definition at line 37 of file http_server.hpp.

The documentation for this class was generated from the following file:

- restinio/http_server.hpp